package com.bailuntec.job;

import com.bailuntec.domain.entity.JobPointLog;
import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.api.simple.SimpleJob;
import com.dangdang.ddframe.job.executor.ShardingContexts;
import org.junit.jupiter.api.Test;

import java.util.HashMap;

/**
 * <p>
 *
 * </p>
 *
 * @author robbendev
 * @since 2020/8/18 4:49 下午
 */
class FbaStockJobTest {

    @Test
    void execute() {

        SimpleJob fbaStockJob = new FbaStockJob();
        ShardingContext shardingContext = new ShardingContext(new ShardingContexts("1",
                "fba-stock-job",
                1,
                "", new HashMap<>()), 0);
        JobPointLog jobPointLog = new JobPointLog();
        jobPointLog.setPageIndex(1);
        jobPointLog.setPageSize(100);

        fbaStockJob.execute(shardingContext);
    }

}
